Subject: Re: bug#14233: 24.3; Don't constrain frame size to character multiples

From: martin rudalics <[email-masked]>
Date: Thu, 25 Apr 2013 09:29:43 +0200

>> A function that would tell me in a platform independent way the pixel
 >> offset of the frame's root window from the top edge of the frame's
 >> "client rectangle" (sorry for the Windows parlance).
 >
 > Does Emacs even know that today, in any way, form, or shape?  At least
 > with toolkits, I'm not sure this is possible without having the
 > toolkit tell us this information.  But I'm not the expert on this.

I suppose so since otherwise we were not able to draw that correctly.
Note that the client rectangle refers to the part of the frame that is
controlled by the application, in our case Emacs.  The Gtk+ toolbar, for
example, is not part of the client rectangle as anything else that can
be obtained only via a frame's output_data.

martin